import React, { FC } from "react";
import { Text } from "react-native";
import { Dialog, Button } from "react-native-elements";

type Props = {
  dialog: boolean;
  setDialog: (dialog: boolean) => void;
  PosNum: number;
  Line: string;
  Pos: string;
  StationNum: string;
};

export const StationPosDeleteDialog: FC<Props> = ({
  dialog,
  setDialog,
  PosNum,
  Line,
  Pos,
  StationNum
}) => {
  const sendPlatformData = () => {
    fetch(`https://n8n.haruk.in/webhook/JR-shikoku-PosID-v3`, {
      method: "DELETE",
      headers: { "Content-Type": "application/json" },
      body: JSON.stringify({
        PosId: PosNum,
        lineName: Line,
        StationName: Pos, //自動：駅名、漢字
      }),
    })
      .then(() => {
        alert("位置情報データ削除要求を送信しました。");
        setDialog(false);
      })
      .catch(() => {
        alert("位置情報データ削除要求の送信に失敗しました。");
      });
  };
  return (
    <Dialog isVisible={dialog} onBackdropPress={() => setDialog(false)}>
      <Text>以下のデータを誤情報として削除要求を出しますか？</Text>
      <Text>路線: {Line}</Text>
      <Text>地点ID: {PosNum}</Text>
      <Text>駅名: {Pos}</Text>
      <Text>駅ナンバー: {StationNum}</Text>
      <Button title="送信" onPress={sendPlatformData} />
    </Dialog>
  );
};
